import http from '@/http/http.js'

/**
 * 获取最近观看
 */
export const selectByUserId = (data) => {
	return http.request({
		url: '/courseCollect/selectByUserId',
		data: data,
		method: 'GET'
	})
}

/**
 * 获取客服微信
 */
export const commonType = (type) => {
	return http.request({
		url: `/common/type/${type}`,
		method: 'GET'
	})
}

/**
 * 金币明细
 */
export const queryUserMoneyDetails = (data) => {
	return http.request({
		url: '/moneyDetails/queryUserMoneyDetails',
		method: 'GET',
		data: data
	})
}

/**
 * 意见反馈
 */
export const sendMessage = (data) => {
	return http.request({
		url: '/message/sendMessage',
		method: 'POST',
		data: data
	})
}
export const deleteUserByUserId = (data) => {
	return http.request({
		url: '/user/deleteUser',
		method: 'post',
	})
}
/**
 * 帮助中心
 */
export const selectHelpList = (data) => {
	return http.request({
		url: '/helpWord/selectHelpList',
		method: 'GET',
		data: data
	})
}

/**
 * 个人中心数据
 */
export const collectVideoSummary = () => {
	return http.request({
		url: '/courseCollect/collectVideoSummary',
		method: 'GET'
	})
}
// 注销账号

/**
 * 金币
 */
export const selectUserMoney = () => {
	return http.request({
		url: '/moneyDetails/selectUserMoney',
		method: 'GET'
	})
}